
Core - Bug # 56312

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5
Bug # 56307 (Accepted): Findings from Bootstrap/PackageManager/ClassLoader analyses

Status: Accepted Priority: Should have
Author: Steffen Ritter Category:
Created: 2014-02-26 Assigned To: Benjamin Mack
Updated: 2015-07-10 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Dependency Resolver does not need to be initialized
Description

The Bootstrap initializes the Dependency Resolver and injects it to the PackageManager, as for the factory this is not needed in most
requests.
Remove it and make an lazy within the Object.

History
#1 - 2014-03-04 17:07 - Thomas Maroschik
- Status changed from New to Accepted
- Assigned To set to Thomas Maroschik

#2 - 2014-09-02 22:55 - Markus Klein

Ping

#3 - 2015-07-10 14:21 - Riccardo De Contardi
- Assigned To changed from Thomas Maroschik to Benjamin Mack
